@import "styleguide/breakpoints";

.wallet-dropdown {
  width: 160px;
  height: 40px;

  @media (min-width: $breakpoint-md) {
    display: none;
  }

  > div[class*="-control"] {
    display: flex;
    align-items: center;
    justify-content: center;
    border: solid 1px var(--green);
    background: rgba(125, 226, 19, 0.15);
    color: var(--light);
    font-size: 14px;
    border-radius: 0;
    cursor: pointer;
    text-transform: uppercase;
  }

  > div[class*="-menu"] {
    border: solid 1px var(--green);
    margin-top: -3px;
    transition: all 0.5s;
    background-color: var(--dark-slate-blue);
    color: var(--light);
    left: auto;
    right: 0;
    width: 195px;
    height: auto;
    line-height: 20px;
    font-family: "Work Sans";
    overflow: hidden;
    border-radius: 0;
  }

  &__content {
    padding: 25px;

    &-label {
      font-size: 12px;
      color: var(--light);
      margin-bottom: 7px;
    }

    &-logout {
      display: flex;
      align-items: center;
      color: var(--green);
      font-size: 15px;
      font-weight: 400;
      padding-top: 37px;
      margin-left: 0px;

      button {
        display: flex;
        align-items: center;
        margin-left: 0px;
        height: 15px;
        width: auto;
        font-size: 15px !important;
        color: var(--green);
        height: auto !important;
        font-family: Work Sans;

        > div {
          margin-right: 6px;
        }
      }
    }
  }
}
